[
{
    blockid=access;
    help=service_smtp_access_access;
    localvar={
	.delimiter="$";
	.allow.help="Zugriff auf den Dienst wird gew\u00e4hrt, wenn ein (D\u00e4mon/Client) Paar mit einem ALLOW-Filter \u00fcbereinstimmt.";
	.allow.header="Zulassen";
	.deny.help="Der Zugriff auf den Dienst wird verweigert, wenn ein (D\u00e4mon/Client) Paar mit einem DENY-Filter \u00fcbereinstimmt.";
	.deny.header="Ablehnen";
	.else.help="Wenn ein (D\u00e4mon/Client) Paar nicht mit einem der nachfolgend aufgelisteten Filter \u00fcbereinstimmt, wir der Zugriff gew\u00e4hrt.";
	.allow.title="ALLOW-Filtereintrag";
	.deny.title="DENY-Filtereintrag";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_smtp_access_allowdialog;
    localvar={
	.allowrule.help="ALLOW-Filter:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.smtpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.smtpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_smtp_access_denydialog;
    localvar={
	.denyrule.help="DENY-Filter:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.smtpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.smtpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
